Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problema para actualizar emerge world
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Wed Feb 22, 2012 9:06 pm    Post subject: Problema para actualizar emerge world Reply with quote

Hola estoy intentando actualizar el sistema pero al hacer un:
#emerge --update --ask --newuse --deep --with-bdeps=y world
me da el siguiente error:
Code:

[nomerge       ] dev-libs/libcroco-0.6.3 [0.6.2] USE="-doc -test"
[nomerge       ]  dev-libs/libxml2-2.7.8-r4 [2.7.8] USE="icu ipv6 python readline -debug -doc -examples -static-libs% -test"
[ebuild     U  ]   dev-libs/icu-4.8.1-r2 [4.6.1] USE="-debug -doc -examples -static-libs" 18,241 kB
[ebuild     U  ] sys-devel/gnuconfig-20110202 [20100924] 49 kB
[nomerge       ] gnome-base/gnome-light-2.32.1-r1 [2.32.1] USE="automount"
[nomerge       ]  x11-libs/gdk-pixbuf-2.24.0-r1  USE="X introspection jpeg tiff -debug -doc -jpeg2k -test"
[ebuild     U  ]   media-libs/libpng-1.5.9 [1.4.5] USE="apng%* (-neon) -static-libs" 698 kB
[nomerge       ] gnome-base/gvfs-1.10.1 [1.6.7] USE="bluetooth cdda* gdu gnome-keyring http samba udev -afp% -archive -avahi -bluray% -doc -fuse -gphoto2 -ios (-bash-completion%) (-gnome%*)"
[ebuild     U  ]  dev-libs/expat-2.0.1-r5 [2.0.1-r3] USE="-examples% -static-libs%" 436 kB
[ebuild     U  ] app-arch/bzip2-1.0.6-r3 [1.0.6] USE="-static -static-libs%" 764 kB
[ebuild     U  ] app-arch/xz-utils-5.0.3 [5.0.1] USE="nls threads -static-libs" 1,228 kB
[nomerge       ] sys-apps/busybox-1.19.3-r1 [1.17.4] USE="ipv6 pam -make-symlinks -mdev* -savedconfig (-selinux) -static (-debug%)"
[ebuild     U  ]  sys-kernel/linux-headers-3.1 [2.6.36.1] 4,718 kB
[blocks B      ] sys-libs/timezone-data ("sys-libs/timezone-data" is blocking sys-libs/glibc-2.13-r4)

Total: 338 packages (241 upgrades, 1 downgrade, 70 new, 7 in new slots, 19 reinstalls), Size of downloads: 995,974 kB
Conflict: 6 blocks (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-libs/timezone-data-2011n::gentoo, installed) pulled in by
    >=sys-libs/timezone-data-2010k required by (dev-libs/libgweather-2.30.3::gentoo, installed)
    sys-libs/timezone-data required by @selected

  (sys-libs/glibc-2.13-r4::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-libs/glibc-2.6.1 required by (x11-drivers/nvidia-drivers-290.10::gentoo, ebuild scheduled for merge)
    sys-libs/glibc required by (app-office/openoffice-bin-3.3.0::gentoo, installed)
    >=sys-libs/glibc-2.7 required by (sys-libs/pam-1.1.5::gentoo, ebuild scheduled for merge)
    >=sys-libs/glibc-2.8 required by (dev-lang/nacl-toolchain-newlib-0_p7311::gentoo, installed)
    >=sys-libs/glibc-2.8 required by (sys-devel/gcc-4.5.3-r2::gentoo, ebuild scheduled for merge)
    >=sys-libs/glibc-2.5 required by (sys-apps/openrc-0.9.8.4::gentoo, ebuild scheduled for merge)
    >=sys-libs/glibc-2.10 required by (sys-fs/udev-171-r5::gentoo, installed)
    >=sys-libs/glibc-2.4 required by (www-plugins/adobe-flash-11.1.102.62::gentoo, ebuild scheduled for merge)
    >=sys-libs/glibc-2.11.2 required by (dev-java/icedtea-bin-6.1.11.1::gentoo, ebuild scheduled for merge)
    sys-libs/glibc required by (app-arch/rar-4.0.1::gentoo, installed)
    sys-libs/glibc:2.2 required by (virtual/libc-0::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


He hecho un #emerge timezone-data
me actualiza el paquete pero sigue el error a ver si alguien me puede ayudar, gracias.


Last edited by pedraku on Fri Feb 24, 2012 5:44 pm; edited 2 times in total
Back to top
View user's profile Send private message
Latinvs
Tux's lil' helper
Tux's lil' helper


Joined: 22 Apr 2010
Posts: 148
Location: Carpetania, Hispania

PostPosted: Wed Feb 22, 2012 10:11 pm    Post subject: Reply with quote

¿Has probado a desenmascarar una versión superior de Glibc en tu fichero package.keywords a ver si esa versión no se pelea con timezone-data-2011n?
_________________
Vir prvdens non contra ventvm mingit
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Wed Feb 22, 2012 11:11 pm    Post subject: Reply with quote

Gracias por responder Latinvs no no lo he probado la verdad que todavia soy bastante nuevo en gentoo y no domino lo de desenmascarar

he probado de añadir esto al package.keywords

sys-libs/glibc amd64

me ha quedado asi:
Code:
=media-tv/xbmc-10.1
=app-cdr/nero-4.0.0.0b ~amd64
=x11-libs/vte-0.28.2-r201 amd64
=x11-libs/vte-0.27.90 amd64
sys-libs/timezone-data
<x11-themes/gnome-themes-2.32.1-r1
sys-libs/glibc amd64

pero me sigue con el mismo error
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Thu Feb 23, 2012 8:17 pm    Post subject: Reply with quote

he probado lo que me decias Latinvs pero me seguia dando error lo que he hecho ha sido crear el package.mask que no lo tenia y he enmascarado el fichero
me ha quedado asi:
Code:
 
#nano /etc/portage/package.mask
sys-libs/glibc


he vuelto a hacer emerge world

#emerge --update --ask --newuse --deep --with-bdeps=y world

y ahora me esta actualizando......
Back to top
View user's profile Send private message
Latinvs
Tux's lil' helper
Tux's lil' helper


Joined: 22 Apr 2010
Posts: 148
Location: Carpetania, Hispania

PostPosted: Fri Feb 24, 2012 12:31 pm    Post subject: Reply with quote

Para desenmascarar no suele ser necesario indicar la arquitectura del procesador si ya la tienes indicada en tu make.conf, pero en todo caso si quieres indicarla es necesario ponerle la virguililla delante, "~amd64" y no "amd64" (o como digo, poner simplemente sys-libs/glibc y a correr), por eso no hacía nada diferente el cambio en package.keywords.

Si de momento te ha solucionado el problema bloquear Glibc pues bien, pero vuelve a borrarlo del package.mask cuando hayas terminado de actualizar, porque al enmascararlo estás diciendo que no se actualice nunca, y eso tampoco es deseable.

Por cierto que acabo de mirar en mi ordenador y tengo Glibc 2.13-r4 y timezone-data 2011n instalados en perfecta coexistencia pacífica. Te recomiendo que pruebes a desenmascarar Glibc e intentar instalarlo sólo a él, a ver si te vuelve a protestar una vez que ya tienes actualizado todo lo demás.
Si sigue habiendo problemas una práctica muy recomendable es ejecutar "etc-update" para asegurarse de que no nos hemos dejado ningún fichero de configuración sin actualizar, que no siempre, pero a veces pueden dar más por saco de lo que uno pensaría.
Y por último otra herramienta muy recomendable cuando hay problemas de dependencias perdidas/desactualizadas/loquesea, especialmente si antes se ha hecho un emerge -uDN world, es revdep-rebuild, suele solucionar muchas veces esos problemas que nos vuelven locos y no sabemos de dónde salen. Revdep-rebuild es parte del paquete gentoolkit, por si no lo tienes instalado.
_________________
Vir prvdens non contra ventvm mingit
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Fri Feb 24, 2012 5:44 pm    Post subject: Reply with quote

Hola de nuevo Latinvs pues creia que me habia solucionado el problema por que me dejo actualizar pero al terminar me ha dado muchos errores y ahora no puedo
hacer practicamente nada no tengo el nano ni me deja instalarlo me dice que falta gcc si arranco las X la pantalla se queda bloqueada no puedo ni mover raton ni hacer nada
no se lo que le he liado pero supongo que son cosas de novato y no saber bien todavia lo que se hace pero bueno de todo se aprende ahora estoy parado con gentoo porque no se por donde tirar la verdad.
Back to top
View user's profile Send private message
Latinvs
Tux's lil' helper
Tux's lil' helper


Joined: 22 Apr 2010
Posts: 148
Location: Carpetania, Hispania

PostPosted: Sat Feb 25, 2012 5:57 pm    Post subject: Reply with quote

Pues sí, tiene toda la pinta de que la has liado parda, sí. Muy de novato, en efecto, hablo por experiencia propia, jeje.

¿Qué te dice
Code:
gcc-config -l
?



Edición
Si la orden de arriba no te devuelve nada que indique que sigues teniendo alguna versión de GCC instalada sólo que simplemente hay algún problema de configuración entonces es que has desinstalado sin querer GCC y no puedes compilara nada de nada.
No te desesperes. Como te he dicho hablo por experiencia propia, y recuerdo que cuando metí la pata de forma parecida a la tuya terminé reinstalando todo, cuando volví a entrar en el foro, un día después, vi que amablemente el forista Agdg se había tomado la molestia de compilarme la entonces última versión de GCC para que sólo tuviera que descargármela y descomprimirla. Yo ya había reinstalado mi sistema cuando vi su mensaje y no aproveché el trabajo que se había tomado Agdg, pero tú sí puedes hacerlo.
El hilo es este:
http://forums.gentoo.org/viewtopic-t-852977-highlight-gcc.html sus instrucciones y el enlace para descargar GCC ya compilado (en la págima de Google docs a la que enlaza pulza Archivo/Descargar).
Una vez que ya puedas volver a compilar, yo que tú actualizaría GCC, y como dice Agdg, haría un revdep-rebuild y un emerge -uDN world
_________________
Vir prvdens non contra ventvm mingit
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Sun Feb 26, 2012 8:10 pm    Post subject: Reply with quote

Hola de nuevo gracias por tu ayuda Latinvs y por la paciencia que tienes conmigo, lo del gcc ya lo he solucionado y ya me compila
pero al hacer una actualizacion me da errores:

Code:
make[1]: *** [bsdtar] Error 1
make[1]: *** Se espera a que terminen otras tareas....
./.libs/libarchive.so: undefined reference to `compression_unsupported_encoder'
collect2: ld returned 1 exit status
make[1]: *** [bsdcpio] Error 1
make[1]: se sale del directorio `/var/tmp/portage/app-arch/libarchive-3.0.3/work/libarchive-3.0.3'
make: *** [all] Error 2
 * ERROR: app-arch/libarchive-3.0.3 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of 'emerge --info =app-arch/libarchive-3.0.3',
 * the complete build log and the output of 'emerge -pqv =app-arch/libarchive-3.0.3'.
 * The complete build log is located at '/var/tmp/portage/app-arch/libarchive-3.0.3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-arch/libarchive-3.0.3/temp/environment'.
 * S: '/var/tmp/portage/app-arch/libarchive-3.0.3/work/libarchive-3.0.3'

>>> Failed to emerge app-arch/libarchive-3.0.3, Log file:

>>>  '/var/tmp/portage/app-arch/libarchive-3.0.3/temp/build.log'

 * Messages for package app-arch/libarchive-3.0.3:

 * ERROR: app-arch/libarchive-3.0.3 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of 'emerge --info =app-arch/libarchive-3.0.3',
 * the complete build log and the output of 'emerge -pqv =app-arch/libarchive-3.0.3'.
 * The complete build log is located at '/var/tmp/portage/app-arch/libarchive-3.0.3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-arch/libarchive-3.0.3/temp/environment'.
 * S: '/var/tmp/portage/app-arch/libarchive-3.0.3/work/libarchive-3.0.3'



y si arranco el entorno grafico se carga el escritorio pero se queda bloqueado y no se mueve ni el puntero del raton ni me deja hacer nada
Back to top
View user's profile Send private message
Latinvs
Tux's lil' helper
Tux's lil' helper


Joined: 22 Apr 2010
Posts: 148
Location: Carpetania, Hispania

PostPosted: Mon Feb 27, 2012 12:32 pm    Post subject: Reply with quote

Pega por ejemplo en http://pastebin.com el contenido de /var/tmp/portage/app-arch/libarchive-3.0.3/temp/build.log y pon en tu mensaje el enlace, a ver qué nos dice.

Lo del entorno gráfico huele a que también se te desinstaló el controlador del ratón o alguna dependencia que impide que funcione. ¿Tienes teclado?, por ejemplo, ctrl+alt+F1 te sacan del modo gráfico y te mandan a un inicio de sesión en modo texto? Si tampoco responde el teclado creo que va a ser que tampoco lo tienes bien instalado. Prueba a reinstalarlos, o si el teclado va bien pues sólo el del ratón.
Code:

emerge -D xf86-input-keyboard xf86-input-mouse

_________________
Vir prvdens non contra ventvm mingit
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Mon Feb 27, 2012 5:09 pm    Post subject: Reply with quote

Latinvs aqui te dejo el enlace del build.log:

http://pastebin.com/mPB6L3cz

El teclado y el raton no funcionan aun despues de haberlos instalado como me dijiste
no puedo hacer nada en el entorno grafico.
Back to top
View user's profile Send private message
agdg
Guru
Guru


Joined: 15 Aug 2010
Posts: 320

PostPosted: Mon Feb 27, 2012 5:35 pm    Post subject: Reply with quote

Quote:
./.libs/libarchive.so: undefined reference to `compression_unsupported_encoder'

Añade la use zlib, eso debería resolver el problema:
Code:
echo "app-arch/libarchive zlib" >> /etc/portage/package.use
emerge -avq libarchive

_________________
make install . es
Noticias, apuntes y pequeños tutoriales sobre GNU/Linux
Back to top
View user's profile Send private message
Latinvs
Tux's lil' helper
Tux's lil' helper


Joined: 22 Apr 2010
Posts: 148
Location: Carpetania, Hispania

PostPosted: Mon Feb 27, 2012 7:24 pm    Post subject: Reply with quote

Y evidente una vez hecho lo que te dice agdg vuelve a instalar libarchive y si como es de esperar el problema se ha resuelto y se instala sin problemas, sigue con tu "revdep-rebuild" y "emerge -DN world", a ver si se resuelve el problema de las X.
_________________
Vir prvdens non contra ventvm mingit
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Tue Feb 28, 2012 8:07 pm    Post subject: Reply with quote

Hola despues de hacer lo que me ha dicho agdg y reinstalar libarchive
he hecho
Code:
revdep-rebuild

y
Code:
emerge -DN world


pero el problema del escritorio y del raton y teclado todavia sigue, la verdad que no se que hacer
veo que se me han desconfigurado cosas como el usuario que lo tenia agregado a sudoers y no esta
el nano no lo tenia instalado lo he tenido que instalar otra vez no se la que he liado a mi gentoo.
Back to top
View user's profile Send private message
agdg
Guru
Guru


Joined: 15 Aug 2010
Posts: 320

PostPosted: Tue Feb 28, 2012 11:45 pm    Post subject: Reply with quote

Pega la salida de los siguientes comandos:
Code:
emerge --info xorg-drivers | grep -A2 "was built"
emerge --info xorg-server | grep -A2 "was built"
grep -i input_devices /etc/make.conf
grep -i evdev /usr/src/linuc/.config

_________________
make install . es
Noticias, apuntes y pequeños tutoriales sobre GNU/Linux
Back to top
View user's profile Send private message
Latinvs
Tux's lil' helper
Tux's lil' helper


Joined: 22 Apr 2010
Posts: 148
Location: Carpetania, Hispania

PostPosted: Wed Feb 29, 2012 1:26 am    Post subject: Reply with quote

Una corrección: a agdg se le ha ido el dedo al teclear la última línea. Lo que imagino que quiere es verificar que evdev está compilado en tu kernel, por lo que la ruta ha de ser /usr/src/linux/.config, es decir, lo que tienes que pegar en la consola es
Code:

grep -i evdev /usr/src/linux/.config

_________________
Vir prvdens non contra ventvm mingit
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Wed Feb 29, 2012 5:52 pm    Post subject: Reply with quote

Hola aqui os pongo las salidas:

Code:
 AcuGentoo / # emerge --info xorg-drivers | grep -A2 "was built"
x11-base/xorg-drivers-1.11 was built with the following:
USE="(multilib)" INPUT_DEVICES="evdev -acecad -aiptek -elographics -fpit -hyperpen -joystick -keyboard
-mouse -mutouch -penmount -synaptics -tslib -vmmouse -void -wacom" VIDEO_CARDS="nvidia -apm
-ark -ast -chips -cirrus -dummy -epson -fbdev -fglrx -geode -glint -i128 -i740 -impact -intel
-mach64 -mga -neomagic -newport -nouveau -nv -omapfb -qxl -r128 -radeon -rendition -s3 -s3virge
-savage -siliconmotion -sis -sisusb -sunbw2 -suncg14 -suncg3 -suncg6 -sunffb -sunleo -suntcx -tdfx
-tga -trident -tseng -v4l -vesa -via -virtualbox -vmware -voodoo"


Code:
AcuGentoo / # emerge --info xorg-server | grep -A2 "was built"
x11-base/xorg-server-1.11.2-r2 was built with the following:
USE="ipv6 kdrive (multilib) nptl udev xorg -dmx -doc -minimal -static-libs -tslib -xnest -xvfb"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-z,lazy"


Code:
AcuGentoo / # grep -i input_devices /etc/make.conf
INPUT_DEVICES="evdev"


Code:
AcuGentoo / # grep -i evdev /usr/src/linux/.config
CONFIG_INPUT_EVDEV=y
Back to top
View user's profile Send private message
agdg
Guru
Guru


Joined: 15 Aug 2010
Posts: 320

PostPosted: Wed Feb 29, 2012 7:59 pm    Post subject: Reply with quote

Instala xf86-input-evdev y reinicia las X o el PC. En caso de que ya tengas instalado este paquete, fuerza su re-instalación (emerge -lq xf86-input-evdev)
_________________
make install . es
Noticias, apuntes y pequeños tutoriales sobre GNU/Linux
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Thu Mar 01, 2012 2:03 am    Post subject: Reply with quote

Siiiiiiiiiii por fin vuelve a funcionar mi gentoo!!!! perdon por la expresion pero es la alegria de tenerlo de nuevo funcionando

veo que tengo cosas sin configurar bien como el teclado el keymaps lo tengo bien pero no se como poner el teclado en espa;ol a poco y supongo que hay mas cosas
gracias a Latinvs y a agdg por vuestra ayuda supongo que todavia tendre muchas dudas y momentos que necesitaran ayuda
pero cada dia me gusta mas linux y gentoo aunque sea un sistema dificil y complicado y lleve su trabajo aprender pero por muchas dificultades que se presenten y
con personas como vosotros no voy a desistir en mi empe;o de aprender, gracias de verdad.
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Thu Mar 01, 2012 10:48 pm    Post subject: Reply with quote

De todas formas parece que mi gentoo me ha quedado un poco tocado y no esta al 100 por 100 como estaba antes
me estaba planteando una reinstalacion que aun que me da un poco de reparo a lo mejor seria buena idea
ya que tengo los archivos de configuracion importantes guardados make.conf .config fstab, no se a ver si me dais vuestra opinion
por que me da a mi que asi como esta me va a dar mas de un error.
Back to top
View user's profile Send private message
agdg
Guru
Guru


Joined: 15 Aug 2010
Posts: 320

PostPosted: Sat Mar 03, 2012 12:26 am    Post subject: Reply with quote

Desinstala paquetes que no uses y elimina use's que no te interesen. Tómalo como una práctica de administración de un sistema gentoo.
_________________
make install . es
Noticias, apuntes y pequeños tutoriales sobre GNU/Linux
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum